/*
  infect.h - infection propogator
  
  Copyright 2004 by Richard Smith <kde@metafoo.co.uk>
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
*/

#ifndef INFECT_H
#define INFECT_H

#include "common.h"

#include <qobject.h>

#include <list>
#include <utility>

namespace Balm
{

class Board;
class Player;

class InfectBase
{
public:
	InfectBase( Board &board, int x, int y );
	bool process();
	
private:
	std::list< std::pair<int,int> > _targets;
	const Player *_player;
	Board &_board;
};

class Infect : public QObject, public InfectBase
{
	Q_OBJECT
	
public:
	Infect( Board &board, int x, int y );
	~Infect();
	
signals:
	void finished();
	

public slots:
	void slotProcess();
};

}

#endif
