/*
  kbalm.h - Main window for KBalm
  
  Copyright 2004 by Richard Smith <kde@metafoo.co.uk>
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
*/

#ifndef KBALM_H
#define KBALM_H

#include "common.h"

#include <kmainwindow.h>

#include <memory>

class KAction;

namespace Balm { class Game; }

class KBalm : public KMainWindow
{
	Q_OBJECT
	
public:
	KBalm();
	override ~KBalm();
	
signals:
	void moveLeft();
	void moveRight();
	void moveUp();
	void moveDown();
	void selectCurrent();
	
	void nodeSelected( int, int );
	
private:
	void initKAction();
	
public slots:
	void newGame();
	void undo();
	
private:
	std::auto_ptr<Balm::Game> _game;
	KAction *undoAction;
};

#endif
