/*
  main.cpp - KBalm, a strategy game for KDE
  
  Copyright 2004 by Richard Smith <kde@metafoo.co.uk>
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
*/

#include "kbalm.h"

#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include <cstdlib>
#include <ctime>

static const char description[] = I18N_NOOP("KBalm - prevent a takeover of your network");

int main( int argc, char **argv )
{
	KAboutData aboutData("kbalm", I18N_NOOP("KBalm"), "0.1",
                         description, KAboutData::License_GPL);
    aboutData.addAuthor("Richard Smith", I18N_NOOP("Author"), "kde@metafoo.co.uk");
    KCmdLineArgs::init(argc, argv, &aboutData);

    KApplication a;
    KGlobal::locale()->insertCatalogue("libkdegames");
    
    std::srand( std::time(0) );

    if (a.isRestored())
        RESTORE(KBalm)
    else {
        KBalm *w = new KBalm;
        a.setMainWidget(w);
        w->show();
    }
    return a.exec();
}

//kate: indent-mode: csands;
