/*
  scorepanel.h - widget displaying balm scores
  
  Copyright 2004 by Richard Smith <kde@metafoo.co.uk>
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
*/

#ifndef SCOREPANEL_H
#define SCOREPANEL_H

#include "common.h"

#include <qvbox.h>
#include <qlabel.h>

#include <memory>
#include <vector>

class KBalmPixmapCache;

namespace Balm { class Game; class Player; }

class KBalmStatusLabel : public QLabel
{
	Q_OBJECT
	
public:
	KBalmStatusLabel( QWidget *parent, Balm::Player *player, const char *name = 0 );
};

class KBalmScorePanel : public QVBox
{
	Q_OBJECT
	
public:
	KBalmScorePanel( QWidget *parent, Balm::Game *game, const char *name = 0 );
	override ~KBalmScorePanel();
	
public slots:
	void scoreChanged();
	
private:
	Balm::Game *_game;
	std::vector<QLabel*> _labels;
};

#endif
